---
uuid: 56049dcc-ebef-41fe-91a2-38abcdfbfdbf
date_created: 2025-07-05T08:07:48.455Z
date_updated: 2026-03-11T09:25:34.696Z
outdated: true
end_of_support_date: 2024-06-01
routes: 
  - PUT /v0/proposals/{proposal_id}/accommodations_arrangement
---

# Upgrade from PUT ​/v0​/proposals​/{proposal\_id}​/accommodations\_arrangement to PUT ​/v1​/proposals​/{proposal\_id}​/accommodations\_arrangement

## Context

A while ago, we worked on enhancing our API backend calls in order to enhance our performances. In order to call the accommodation\_arrangement\_check backend endpoint instead of the moreRooms, we need to add a new body parameter: "occupancy".

Upgrade from **PUT** - `/v0​/proposals​/{proposal_id}​/accommodations_arrangement` to **PUT** -  `/v1/proposals​/{proposal_id}​/accommodations_arrangement`

⭐  **Key benefits :** Having a quicker response time and uniformizing our ressources.

***

> As an API dev
> I want to be able to call `accommodation_arrangement_check` instead of `moreRooms`
> In order to gain in response time

***

## Impacts

Route to call :

* **PUT** - `/v1​/proposals​/{proposal_id}​/accommodations_arrangement`

## Input

**Paramètres**
Inchangés.

**Body Example value**

```diff
[
  {
    "id": "A2",
-    "quantity": 2,
+  "occupancy": 2,
    "attendees": [
      {
        "id": "A",
        "type": "MAIN",
        "birthdate": "20100430",
        "customer_id": "143890448"
      }
    ]
  }
]
```

**Body Model**

| Champ API | Définition                               | Example | Type    |
| --------- | ---------------------------------------- | ------- | ------- |
| occupancy | Number of occupants in the accommodation | 2       | Integer |
